# DaprProtos.BulkPublishRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.BulkPublishRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.BulkPublishRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.BulkPublishRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.BulkPublishRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.BulkPublishRequestOrBuilder

     BulkPublishRequest is the message to bulk publish events to pubsub topic

Protobuf type `dapr.proto.runtime.v1.BulkPublishRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.BulkPublishRequest.Builder` BulkPublishRequest is the message to bulk publish events to pubsub topic

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `ENTRIES_FIELD_NUMBER`
`static int` `METADATA_FIELD_NUMBER`
`static int` `PUBSUB_NAME_FIELD_NUMBER`
`static int` `TOPIC_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The request level metadata passing to to the pubsub components
`boolean` `equals​(Object obj)`
`static DaprProtos.BulkPublishRequest` `getDefaultInstance()`
`DaprProtos.BulkPublishRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`DaprProtos.BulkPublishRequestEntry` `getEntries​(int index)` The entries which contain the individual events and associated details to be published
`int` `getEntriesCount()` The entries which contain the individual events and associated details to be published
`List<DaprProtos.BulkPublishRequestEntry>` `getEntriesList()` The entries which contain the individual events and associated details to be published
`DaprProtos.BulkPublishRequestEntryOrBuilder` `getEntriesOrBuilder​(int index)` The entries which contain the individual events and associated details to be published
`List<? extends DaprProtos.BulkPublishRequestEntryOrBuilder>` `getEntriesOrBuilderList()` The entries which contain the individual events and associated details to be published
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The request level metadata passing to to the pubsub components
`Map<String,​String>` `getMetadataMap()` The request level metadata passing to to the pubsub components
`String` `getMetadataOrDefault​(String key, String defaultValue)` The request level metadata passing to to the pubsub components
`String` `getMetadataOrThrow​(String key)` The request level metadata passing to to the pubsub components
`com.google.protobuf.Parser<DaprProtos.BulkPublishRequest>` `getParserForType()`
`String` `getPubsubName()` The name of the pubsub component
`com.google.protobuf.ByteString` `getPubsubNameBytes()` The name of the pubsub component
`int` `getSerializedSize()`
`String` `getTopic()` The pubsub topic
`com.google.protobuf.ByteString` `getTopicBytes()` The pubsub topic
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.BulkPublishRequest.Builder` `newBuilder()`
`static DaprProtos.BulkPublishRequest.Builder` `newBuilder​(DaprProtos.BulkPublishRequest prototype)`
`DaprProtos.BulkPublishRequest.Builder` `newBuilderForType()`
`protected DaprProtos.BulkPublishRequest.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.BulkPublishRequest` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.BulkPublishRequest` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(byte[] data)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(InputStream input)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(ByteBuffer data)`
`static DaprProtos.BulkPublishRequest` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.BulkPublishRequest>` `parser()`
`DaprProtos.BulkPublishRequest.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### PUBSUB_NAME_FIELD_NUMBER

    public static final int PUBSUB_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### TOPIC_FIELD_NUMBER

    public static final int TOPIC_FIELD_NUMBER

See Also:
  Constant Field Values

#### ENTRIES_FIELD_NUMBER

    public static final int ENTRIES_FIELD_NUMBER

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getPubsubName

    public String getPubsubName()

     The name of the pubsub component

`string pubsub_name = 1;`

Specified by:
  `getPubsubName` in interface `DaprProtos.BulkPublishRequestOrBuilder`
Returns:
  The pubsubName.

#### getPubsubNameBytes

    public com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub component

`string pubsub_name = 1;`

Specified by:
  `getPubsubNameBytes` in interface `DaprProtos.BulkPublishRequestOrBuilder`
Returns:
  The bytes for pubsubName.

#### getTopic

    public String getTopic()

     The pubsub topic

`string topic = 2;`

Specified by:
  `getTopic` in interface `DaprProtos.BulkPublishRequestOrBuilder`
Returns:
  The topic.

#### getTopicBytes

    public com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic

`string topic = 2;`

Specified by:
  `getTopicBytes` in interface `DaprProtos.BulkPublishRequestOrBuilder`
Returns:
  The bytes for topic.

#### getEntriesList

    public List<DaprProtos.BulkPublishRequestEntry> getEntriesList()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

Specified by:
  `getEntriesList` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getEntriesOrBuilderList

    public List<? extends DaprProtos.BulkPublishRequestEntryOrBuilder> getEntriesOrBuilderList()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

Specified by:
  `getEntriesOrBuilderList` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getEntriesCount

    public int getEntriesCount()

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

Specified by:
  `getEntriesCount` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getEntries

    public DaprProtos.BulkPublishRequestEntry getEntries​(int index)

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

Specified by:
  `getEntries` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getEntriesOrBuilder

    public DaprProtos.BulkPublishRequestEntryOrBuilder getEntriesOrBuilder​(int index)

     The entries which contain the individual events and associated details to be published

`repeated .dapr.proto.runtime.v1.BulkPublishRequestEntry entries = 3;`

Specified by:
  `getEntriesOrBuilder` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.BulkPublishRequestOrBuilder`

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

Specified by:
  `containsMetadata` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The request level metadata passing to to the pubsub components

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.BulkPublishRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(ByteBuffer data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(ByteBuffer data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(com.google.protobuf.ByteString data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(com.google.protobuf.ByteString data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(byte[] data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(byte[] data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(InputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.BulkPublishRequest parseDelimitedFrom​(InputStream input)
                                                            throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.BulkPublishRequest parseDelimitedFrom​(InputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.BulkPublishRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.BulkPublishRequest.Builder newBuilder()

#### newBuilder

    public static DaprProtos.BulkPublishRequest.Builder newBuilder​(DaprProtos.BulkPublishRequest prototype)

#### toBuilder

    public DaprProtos.BulkPublishRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.BulkPublishRequest.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.BulkPublishRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.BulkPublishRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.BulkPublishRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.BulkPublishRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`